<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
interface Engine_Sanity_Test_Interface
{
  public function getType();

  public function getName();
  
  public function execute();

  public function getMessages();

  public function hasMessages();

  public function getMaxErrorLevel();
}
